<p>comments-create works!</p>
<div>
    <form [formGroup]="formSearchComment"  (ngSubmit)="searchComments()">
        <label for=""> Buscador </label>
        <input type="text" formControlName="postId" (blur)="searchComments()">
        <button type="submit"> Buscar </button>
    </form>

    <p *ngIf="comments"></p>
    
    <div *ngIf="!statusSearchPostId" class="alert">No se encontro ningun comentario con ese post Id</div>    
</div>
<br/>
<style>
    table,
    tr,
    th {
        border: 3px solid green;
        border-collapse: collapse;
        color:black;
    }
    .alert{
        color: red;
    }
</style>
<table>
    <tr>
        <th>Post Id</th>
        <th>Id</th>
        <th>Name</th>
        <th>Email</th>
        <th>Body</th>
    </tr>

    <tr *ngFor="let item of comments">
            <th> {{ item.postId }}</th>
            <th> {{ item.id }} </th>
            <th> {{ item.name }} </th>
            <th> {{ item.email }} </th>
            <th> {{ item.body }} </th>    
        </tr>
</table>